#### D.15.2.4 newtonPolygon

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  newtonPolygon(f); poly f

Return:
  a list with an entry for each of the finite facets of f; each entry consists out of a list with first entry the normal vector of the corresponding facet and second entry
  a list containing the coordinates of the vertices of the corresponding facet

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8;
    newtonPolygon(f);
    ==> [1]:
    ==>    [1]:
    ==>       2,1
    ==>    [2]:
    ==>       [1]:
    ==>          0,8
    ==>       [2]:
    ==>          2,4
    ==> [2]:
    ==>    [1]:
    ==>       1,1
    ==>    [2]:
    ==>       [1]:
    ==>          2,4
    ==>       [2]:
    ==>          4,2
    ==> [3]:
    ==>    [1]:
    ==>       2,5
    ==>    [2]:
    ==>       [1]:
    ==>          4,2
    ==>       [2]:
    ==>          9,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.